summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/ansi2html/ansi2html-1.5.2-r1.ebuild')
-rw-r--r--dev-python/ansi2html/ansi2html-1.5.2-r1.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/ansi2html/ansi2html-1.5.2-r1.ebuild b/dev-python/ansi2html/ansi2html-1.5.2-r1.ebuild
new file mode 100644
index 00000000000..68135b1df10
--- /dev/null
+++ b/dev-python/ansi2html/ansi2html-1.5.2-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Convert text with ANSI color codes to HTML"
+HOMEPAGE="https://pypi.org/project/ansi2html/ https://github.com/ralphbean/ansi2html"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/six-1.7.3[${PYTHON_USEDEP}]"
+DEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+ "
+
+src_compile() {
+ distutils-r1_src_compile
+}
+
+python_test() {
+ chmod -x "${S}"/tests/* || die
+ esetup.py check
+ esetup.py test
+}
+
+python_install_all() {
+ doman man/${PN}.1
+ DOCS=( README.rst man/${PN}.1.txt )
+ distutils-r1_python_install_all
+}